//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VocabType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="VocabType"&gt;
 *   &lt;restriction base="{}EnumerationToken"&gt;
 *     &lt;enumeration value="L"/&gt;
 *     &lt;enumeration value="A"/&gt;
 *     &lt;enumeration value="S"/&gt;
 *     &lt;enumeration value="D"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "VocabType")
@XmlEnum
public enum VocabType {


    /**
     * L Leaf; a term that has no children in the specialization hierarchy, and is selectable, and therefore deemed to be a leaf.
     * 
     */
    L,

    /**
     * A Abstract; a term that has children in the specialization hierarchy, but is not, itself, selectable and therefore deemed
     *                         abstract.
     * 
     */
    A,

    /**
     * S Specializable; a term that has children in the specialization hierarchy, and is also selectable and therefore deemed
     *                         specializable.
     * 
     */
    S,

    /**
     * D Deprecated; a term that should not be used any longer
     * 
     */
    D;

    public String value() {
        return name();
    }

    public static VocabType fromValue(String v) {
        return valueOf(v);
    }

}
